
Core - Feature # 62023

Status: Closed Priority: Should have
Author: Cedric Ziel Category:
Created: 2014-10-03 Assigned To:
Updated: 2015-07-15 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Allow script tags to have custom attributes
Description

This is primarily intended to be used with async and defer attributes which allow non-blocking rendering in the browser and defered
execution.

It could also allow, once implemented, to have custom attributes on script tags which are popular in the form of data attributes
(popularily is the requirejs data-main tag).

I felt like asset handling in-core wise needed a little love and this is intended to be a first step.

I'll upload a WIP changeset to Gerrit soon.

Related issues:
related to Core - Feature # 28382: Allow asynchronous JavaScript files Resolved 2011-07-22

History
#1 - 2014-10-03 12:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33137

#2 - 2014-10-03 12:17 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33137

#3 - 2014-10-03 12:39 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33137

#4 - 2014-10-10 14:51 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33137
#5 - 2015-07-15 12:25 - Alexander Opitz
- Status changed from Under Review to Needs Feedback

After you abandoned your patch. Is something left to get this issue done?

#6 - 2015-07-15 12:26 - Cedric Ziel

No, thx. Please close it for the time being.

#7 - 2015-07-15 17:07 - Stefan Neufeind
- Status changed from Needs Feedback to Closed
